'use strict';

const {enqueue, log, reportError, logToDiscord} = require('../core/utils');

export default function schedule(queueName: string, taskName: string, taskArguments: string[]): void {
    logToDiscord(`[scheduling] Task ${taskName} scheduled in queue ${queueName} with args ${JSON.stringify(taskArguments)}`);
    enqueue(taskName, taskArguments, queueName)
        .catch((error: Error) => {
            logToDiscord(`[scheduling] Task ${taskName} scheduling has failed`);
            reportError(error, {extra: {taskName, taskArguments, queueName}});
        })
        .then(() => {
            process.nextTick(() => process.exit());
        });
}
