'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const { enqueue, log, reportError, logToDiscord } = require('../core/utils');
function schedule(queueName, taskName, taskArguments) {
    logToDiscord(`[scheduling] Task ${taskName} scheduled in queue ${queueName} with args ${JSON.stringify(taskArguments)}`);
    enqueue(taskName, taskArguments, queueName)
        .catch((error) => {
        logToDiscord(`[scheduling] Task ${taskName} scheduling has failed`);
        reportError(error, { extra: { taskName, taskArguments, queueName } });
    })
        .then(() => {
        process.nextTick(() => process.exit());
    });
}
exports.default = schedule;
//# sourceMappingURL=scheduler.js.map